use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize, PartialEq, Eq, Hash)]
#[serde(rename_all = "lowercase")]
pub enum Flag {
    Required,
    Optional,
    Included,
    Instance,
    Incompatible,
    Launch,
    Env
}

#[derive(Debug, Serialize, Deserialize, PartialEq, Eq, Hash)]
#[serde(rename_all = "lowercase")]
pub enum InstallAction {
    Move,
    Extract,
    Rename,
    Inject,
    Unknown(String),
}